<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: BiosCheckUpdateResult Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dd/d50/class_bios_check_update_result.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">BiosCheckUpdateResult Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="../../dd/d50/class_bios_check_update_result.html" title="BiosCheckUpdateResult represent result of the PromptUpdateAsync request.">BiosCheckUpdateResult</a> represent result of the PromptUpdateAsync request.  
 <a href="../../dd/d50/class_bios_check_update_result.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a06edebcc32b98e8aacae799ae449c035"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d50/class_bios_check_update_result.html#a06edebcc32b98e8aacae799ae449c035">m_IsUpdate</a></td></tr>
<tr class="memdesc:a06edebcc32b98e8aacae799ae449c035"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is new update available?  <a href="../../dd/d50/class_bios_check_update_result.html#a06edebcc32b98e8aacae799ae449c035">More...</a><br /></td></tr>
<tr class="separator:a06edebcc32b98e8aacae799ae449c035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af94182bdc68e30c8d29b7afc7bd2eef8"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dd/d50/class_bios_check_update_result.html#af94182bdc68e30c8d29b7afc7bd2eef8">m_IsMandatory</a></td></tr>
<tr class="memdesc:af94182bdc68e30c8d29b7afc7bd2eef8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is update mandatory?  <a href="../../dd/d50/class_bios_check_update_result.html#af94182bdc68e30c8d29b7afc7bd2eef8">More...</a><br /></td></tr>
<tr class="separator:af94182bdc68e30c8d29b7afc7bd2eef8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../dd/d50/class_bios_check_update_result.html" title="BiosCheckUpdateResult represent result of the PromptUpdateAsync request.">BiosCheckUpdateResult</a> represent result of the PromptUpdateAsync request. </p>

<p class="definition">Definition at line <a class="el" href="../../df/d1f/_bios_package_service_8c_source.html#l00003">3</a> of file <a class="el" href="../../df/d1f/_bios_package_service_8c_source.html">BiosPackageService.c</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="af94182bdc68e30c8d29b7afc7bd2eef8" name="af94182bdc68e30c8d29b7afc7bd2eef8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af94182bdc68e30c8d29b7afc7bd2eef8">&#9670;&#160;</a></span>m_IsMandatory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> BiosCheckUpdateResult::m_IsMandatory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Is update mandatory? </p>

<p class="definition">Definition at line <a class="el" href="../../df/d1f/_bios_package_service_8c_source.html#l00009">9</a> of file <a class="el" href="../../df/d1f/_bios_package_service_8c_source.html">BiosPackageService.c</a>.</p>

</div>
</div>
<a id="a06edebcc32b98e8aacae799ae449c035" name="a06edebcc32b98e8aacae799ae449c035"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06edebcc32b98e8aacae799ae449c035">&#9670;&#160;</a></span>m_IsUpdate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> BiosCheckUpdateResult::m_IsUpdate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Is new update available? </p>

<p class="definition">Definition at line <a class="el" href="../../df/d1f/_bios_package_service_8c_source.html#l00006">6</a> of file <a class="el" href="../../df/d1f/_bios_package_service_8c_source.html">BiosPackageService.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Services/<a class="el" href="../../df/d1f/_bios_package_service_8c_source.html">BiosPackageService.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dd/d50/class_bios_check_update_result.html">BiosCheckUpdateResult</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
